EndpointsPosts
Upload post media
POST
/v2/posts/mediaUploads an image or ZIP bundle for a future post. Files must be at most 10 MB; use the returned storage key when creating the post.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Request Body
multipart/form-data
file*File
Image or ZIP bundle to upload.
kind?Kind
How the upload will be attached to the post.
Default
"image"Value in
- "image"
- "bundle"
curl -X POST "https://softmax.com/api/observatory/v2/posts/media" \ -F file="string"{ "upload_id": "string", "s3_key": "string"}